psychopy.org | Reference | Downloads | Github

1.90 libpng error in Sierra

In MacOS Sierra, 10.12.6,
Some demo doesn’t run successful.

(ImportError: dlopen(/Applications/PsychoPy2_1.90.app/Contents/Resources/lib/python2.7/pygame/font.so, 2): Library not loaded: @executable_path/…/Frameworks/libpng16.16.dylib
Referenced from: /Applications/PsychoPy2_1.90.app/Contents/Resources/lib/python2.7/pygame/.dylibs/libfreetype.6.dylib
Reason: Incompatible library version: libfreetype.6.dylib requires version 45.0.0 or later, but libpng16.16.dylib provides version 40.0.0)

After copy latest “libpng16.16” to PsychoPy.app/Contents/Frameworks/
It works properly.